function shapeModel = buildShapeModel(unalignedShapes,trainingImages)

% Align shapes from training images using Procrustes
scaling = 0; % Almost always best to set scaling to 0
x = alignShapes(unalignedShapes,scaling);

% Use PCA to create model
xBar = mean(x,2);  % Mean shape
S = cov(x');       % Covariance matrix
[V,D] = eig(S);    % Eigenvectors
D = sort(diag(D),'descend');
V = fliplr(V);

% Store model as a struct
shapeModel = struct();
shapeModel.meanShape = xBar;
shapeModel.eVectors = V;
shapeModel.eValues  = D;
shapeModel.alignedShapes = x;
shapeModel.unalignedShapes = unalignedShapes;
if nargin > 1
    shapeModel.trainingImages = trainingImages;
end
shapeModel.n_shapes = size(x,2);

end % End of main