function fishRegions = getFishRegions(layout)

if nargin == 0
    layout = 'standard';    
end

switch lower(layout)
    case 'standard'        
        % Connect dots around the face
        fishRegions = cell(7,1);
        fishRegions{1} = 1:3;         % Left eye
        fishRegions{2} = 4:6;         % Right eye
        fishRegions{3} = 7:9;         % Left eyebrow
        fishRegions{4} = 10:12;       % Right eyebrow
        fishRegions{5} = 13:15;       % Nose
        fishRegions{6} = [16:19 16];  % Mouth
        fishRegions{7} = 20;          % Chin
    case 'nobrows'        
        % Connect dots around the face
        fishRegions = cell(9,1);
        fishRegions{1} = 1:3;         % Left eye
        fishRegions{2} = 4:6;         % Right eye
        fishRegions{3} = 7;           % Left side of head
        fishRegions{4} = 8:9;         % Left eyebrow
        fishRegions{5} = 10:11;       % Right eyebrow
        fishRegions{6} = 12;          % Right side of head
        fishRegions{7} = 13:15;
        fishRegions{8} = [16:19 16];
        fishRegions{9} = 20;        
    case 'muct'
        fishRegions{1} = 1:76;
    case 'fish'
        fishRegions{1} = 1:60;
end


end % End of main