
imageNames = [
  'image_011/binary_01_188_50.png';
  'image_011/binary_02_218_57.png';
  'image_013/binary_01_189_50.png';
  'image_020/binary_01_193_51.png';
  'image_031/binary_03_188_49.png';
  'image_040/binary_01_219_57.png';
  'image_049/binary_01_197_52.png';
  'image_080/binary_01_182_49.png';
  'image_092/binary_01_176_47.png';
  'image_098/binary_02_218_57.png';
];

depthsSTD = [];
depthsMEAN = [];
fishData = [];

for n=1:size(imageNames)
    im = imread(['../../Data/images_segmented/' imageNames(n, :)]);
    im = im2double(im);

    filesplit = split(imageNames(n, :),["_",".","/"]);
    imageData = load(['../../Data/images/' char(filesplit(1)) '_' char(filesplit(2)) '.mat']);
    Depth = imageData.Depth;
    
    A = imresize(im,[128 240]);
    B = Depth.*A;
    C = B ~= 0;
    D = B(C);
    
    S = std(D);
    depthsSTD = [depthsSTD;S];
    figure, imshow(Depth, []);
    figure, imshow(B, []);
    
    if S < 999999
        fishDepth = mean(D);
        depthsMEAN = [depthsMEAN;abs(fishDepth)];
        %pixelarea = size(D, 1);
        pixelarea = sum(im(:));

        pixellength = str2num(char(filesplit(end-2)));
        pixelheight = str2num(char(filesplit(end-1)));

        %If you know the sensor's physical width in mm, then the focal in pixels is:
        %focal_pixel = (focal_mm / sensor_width_mm) * image_width_in_pixels
        %And if you know the horizontal field of view, say in degrees,
        %focal_pixel = (image_width_in_pixels * 0.5) / tan(FOV * 0.5 * PI/180)

        Df = 70.0 * (pi/180); % diagonal fov 70 grader
        Ha = 960;
        Va = 512;
        Da = sqrt(Ha*Ha + Va*Va);
        Hf = atan( tan(Df/2) * (Ha/Da) ) * 2;
        Hf = Hf * (180/pi);
        Vf = atan( tan(Df/2) * (Va/Da) ) * 2;
        Vf = Vf * (180/pi);
        focalPixelLength = (Ha * 0.5) / tan(Hf * 0.5 * pi/180);

        fishLength = abs((fishDepth)*(pixellength/(focalPixelLength)));
        fishHeight = abs((fishDepth)*(pixelheight/(focalPixelLength)));
        fishArea = pixelarea*(fishDepth^2/focalPixelLength^2);
        
        fishData = [fishData;[pixellength pixelheight pixelarea fishLength fishHeight fishArea]];

        A=-0.6678;
        B=0.0048;
        Y = A + B*(fishLength*100*fishHeight*100);

        A2=0.000315;
        B2=1.3889;
        Y2 = A2*(fishLength*100*fishHeight*100)^B2;
        close all;
    end
end
