N = 5000;
phi = 2*pi*randn(N,1);
rho = randn(N,1);

x = 3 * sqrt(rho) .* cos(phi);
y = sqrt(rho) .* sin(phi);



r = [x,y];

theta = pi/3;
R = [cos(theta), -sin(theta);sin(theta), cos(theta)];

r = R*r';
r = r';

S = cov(r(:,1),r(:,2));       % Covariance matrix
[V,D] = eig(S);    % Eigenvectors
D = sort(diag(D),'descend');
V = fliplr(V);

p1 = V(:, 1)*sqrt(D(1));
p2 = V(:, 2)*sqrt(D(2));

figure
axis([-4 4 -4 4])
hold on;
plot(r(:,1),r(:,2),'o','color',[0.2 0.2 0.2],'MarkerSize', 1);
hold on;
quiver(0,0,p1(1),p1(2),0, 'color','b','linewidth',3,'MaxHeadSize',0.5);
quiver(0,0,p2(1),p2(2),0,'color','g','linewidth',3,'MaxHeadSize',0.5);
grid on;
pbaspect([1 1 1]);