
pathToLandmarks = '../Data/landmarks/';
C = importdata(fullfile(pathToLandmarks,'fish60_fin.csv'));

landmarks = C.data(1:end,2:end);
allLandmarks = landmarks';

allLandmarks(1:2:end,:) =    allLandmarks(1:2:end,:) + 960/2; % Adjust for coordinate differences
allLandmarks(2:2:end,:) = -1*allLandmarks(2:2:end,:) + 512/2;

f1x = allLandmarks(1:2:end,1);
f1y = allLandmarks(2:2:end,1);
xm1 = mean(f1x);
ym1 = mean(f1y);
s1 = sqrt(sum((f1x-xm1).^2 + (f1y-ym1).^2)/60);

f2x = allLandmarks(1:2:end,end-3);
f2y = allLandmarks(2:2:end,end-3);
xm2 = mean(f2x);
ym2 = mean(f2y);
s2 = sqrt(sum((f2x-xm2).^2 + (f2y-ym2).^2)/60);

X = [(f1x-xm1)./s1, (f1y-ym1)./s1];
Y = [(f2x-xm2)./s2, (f2y-ym2)./s2];

A = Y' * X;
[L, D, M] = svd(A);
T = M * L';

B = T*Y';

d = sqrt(sum(((f1x-xm1)./s1-B(1,:)').^2) + sum(((f1y-ym1)./s1 - B(2,:)').^2));
disp(d);
figure;
set(gca,'Ydir','reverse');
hold on,plot((f1x-xm1)./s1, (f1y-ym1)./s1,'ro-','MarkerSize', 1), hold off
hold on,plot(B(1,:)',B(2,:)','go-','MarkerSize', 1), hold off